let chatData = { whisper: ChatMessage.getWhisperRecipients("GM") }
let message = ""

let wounds = foundry.utils.duplicate(this.actor.status.wounds)
let regenRoll = await new Roll("1d10").roll({allowInteractive : false});
let regen = regenRoll.total;

if (wounds.value >= wounds.max)
    return

if (wounds.value > 0)
{
    wounds.value += regen
    if (wounds.value > wounds.max)
    {
        wounds.value = wounds.max
    }
    message += `<b>${this.actor.name}</b> regagne ${regen} Point de Blessures.`

    if (regen == 10)
    {
        message += `<br>De plus, il guérit d'une Blessure Critique.`
    }
}
else if (regen >= 8)
{
    message += `<b>${this.actor.name}</b> a fait un ${regen} et regagne 1 Point de Blessures.`
    wounds.value += 1
    if (regen == 10)
    {
        message += `<br>De plus, il guérit d'une Blessure Critique.`
    }
}
else
{
    message += `<b>${this.actor.name}</b> a fait un ${regen} et ne régénère pas de Point de Blessures.`
}

await this.actor.update({ "system.status.wounds": wounds })
this.script.message(message, { whisper: ChatMessage.getWhisperRecipients("GM") })